<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('games', function (Blueprint $table) {
            $table->id();
            $table->string('name')->unique();
            $table->bigInteger('developer_id')->nullable();
            $table->text('system_req')->nullable();
            $table->text('desc')->nullable();
            $table->integer('price');
            $table->string('courecy')->default("RU-ru");
            $table->float('discount')->default(0.0);
            $table->date('release')->default(now());
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('games');
    }
};
